petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPFCGGetTruncationType

get the truncation strategy employed by FCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetTruncationType(KSP ksp,KSPFCGTruncationType *truncstrat)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

truncstrat -the strategy type

### Options Database

-ksp_fcg_truncation_type <standard, notay> -

### Keywords

KSP, FCG, truncation

### See Also

KSPFCG, KSPFCGSetTruncationType, KSPFCGTruncationType

Level:intermediate
Location:src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages